Package org.eclipse.birt.chart.script.api

# Interface IChartWithAxes

All Superinterfaces:
  `IChart`, `org.eclipse.birt.report.model.api.simpleapi.IDesignElement`, `org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem`, `org.eclipse.birt.report.model.api.simpleapi.IReportElement`, `org.eclipse.birt.report.model.api.simpleapi.IReportItem`

public interface IChartWithAxes extends IChart
Represents the design of a ChartWithAxis in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`IAxis`
`getCategoryAxis()`
Gets category(X) axis from Chart
`IAxis[]`
`getValueAxes()`
Gets all value(Y) axes from Chart
`IValueSeries[][]`
`getValueSeries()`
Gets all value(Y) series from Chart.
`boolean`
`isHorizontal()`
Checks if Chart is transposed, i.e.
`void`
`setHorizontal(boolean horizontal)`
Sets Chart to be transposed, i.e.

### Methods inherited from interface org.eclipse.birt.chart.script.api.IChart

`getCategory, getDescription, getDimension, getFactory, getLegend, getOutputType, getTitle, isColorByCategory, setColorByCategory, setDimension, setOutputType`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem

`addFilterCondition, addSortCondition, getFilterConditions, getSortConditions, removeFilterCondition, removeFilterConditions, removeSortCondition, removeSortConditions`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getCategoryAxis

IAxis getCategoryAxis()
Gets category(X) axis from Chart

Returns:
  category axis

### getValueAxes

IAxis[] getValueAxes()
Gets all value(Y) axes from Chart

Returns:
  value axes array

### isHorizontal

boolean isHorizontal()
Checks if Chart is transposed, i.e. value(Y) axis is displayed as horizontal line.

Returns:
  true horizontal, false vertical

### setHorizontal

void setHorizontal(boolean horizontal)
Sets Chart to be transposed, i.e. value(Y) axis is displayed as horizontal line.

Parameters:
  `horizontal` - true horizontal, false vertical

### getValueSeries

IValueSeries[][] getValueSeries()
Gets all value(Y) series from Chart.

Returns:
  series array